• We would like to remind our members that this is a privately owned, run and supported forum. You are here at the invitation and discretion of the owners. As such, rules and standards of conduct will be applied that help keep this forum functioning as the owners desire. These include, but are not limited to, removing content and even access to the forum.

    Please give yourself a refresher on the forum rules you agreed to follow when you signed up.

FM3-Edit 1.05.08 (to support fw 5.02 public beta 1)

Michael Pickens

FAS Software Engineer
Fractal Audio Systems
Moderator
FM3-Edit 1.05.08 provides support for FM3 firmware 5.02 public beta 1.

The editor is available below:

OSX:
https://www.fractalaudio.com/downloads/FM3-Edit/FM3-Edit-OSX-v1p05p08.dmg

Win64:
https://www.fractalaudio.com/downloads/FM3-Edit/FM3-Edit-Win-v1p05p08.exe

Win32:
https://www.fractalaudio.com/downloads/FM3-Edit/FM3-Edit-Win32-v1p05p08.exe


RELEASE NOTES

VERSION 1.05.08
March 25, 2022

Current FM3 Firmware Version: 5.01

SYSTEM REQUIREMENTS
  • Mac version requires OS version 10.7 or newer
  • Windows version requires Windows 7 or newer
  • Minimum firmware version 2.00

NEW IN THIS VERSION

* Support for firmware 5.02 public beta 1
o In FC Per-Preset corrected the Preset / Select by # / "2nd Press = Prev. Preset" dropdown menu.
o Added "Current" option to the foot controller display functions for Bank: Inc/Dec function.
o Modified "2nd Press" to the foot controller display functions for Effect: Chan Select function.
o Added "Dual Detune Delay" layout to PITCH block.
o Update AMP block layouts.

* Updated the Modifier dialog layout.

* Updated small knob graphic.

* Added the resetting of the Layout Links to FC Per-Preset "Reset Switch".

* Optimizations to FC-Edit communications.

* Added frequency and cent values to the Tuner.


PLEASE NOTE:

FM3-Edit 1.05.04 rc2 is not compatible with the full release of firmware 5.0.

FM3-Edit 1.05.05 replaces 1.05.04 rc 2. Incrementing the version number allows the editor to auto-update.

If running firmware 2.00 or greater, FM3-Edit 1.02.00 (or greater) is required to communicate with the FM3.
FM3-Edit versions 1.01.10 or less will not work with firmware 2.00 or greater.

FM3-Edit 1.05.05 will continue to work with all previous firmware versions.
 
Top Bottom